# To Do

- [ ] General
    - [ ] Name things better
    - [ ] Update dialogs

- [ ] Ledger
    - [ ] Add general information
    - [ ] Add specific information - Otherworldly Trade Caravan
    - [ ] Add specific information - Clerks
    - [ ] Add specific information - Personalized Merchants
    - [ ] Add specific information - Trade Houses
    - [ ] Add specific information - Trade Contracts
    - How does the player get this??
    - What happens if they lose it??

- [ ] Clerk
    - [ ] Add logic for enabling/disabling on rank-up
    - [ ] Setup counter at Trade House
        - BLOCKED: Awaiting Trade House implementation
    - [ ] Inventories
        - [X] Add initial inventory for Clerks 1, 3, and 6
        - [X] Add logic to move the clerk items on rank-up
        - [ ] Update dialog/information to reflect how this all works
    - [ ] Quests and Rank Mechanics
        - [X] Trade Contracts
        - [X] Delivery Quests

- [ ] Merchant
    - [ ] Merchant Quests
        - [ ] One extended/side quest is to get the Merchant a full set of
          daedric armor. This is a significant ask, due to the extreme rarity of
          the pieces, and so the reward must be great!!
        - Need more quest ideas!

- [ ] Trade House
    - Actually design the thing
    - Trade Contracts

---

# "Inventory"

## Clerk(s)

### NPC - Clerk 119

Clerk 119 is the name of the NPC responsible for basic trading options with the
ledger. There are 6 versions of Clerk 119, each with different barter gold
values. This represents a change in "credit limit" for the NPC to buy items.

`vbnd_OtherworldlyClerk_{1-5}`: Hidden NPCs interacted with via "ForceGreeting",
providing trade services through the ledger. The clerk number is the player's
rank, so `vbnd_OtherworldlyClerk_1` is when the player is rank 1 (ranks start at
0), up until rank 5. At rank 6, the player gains access to the Trade House,
where the last clerk is as a permanent and visible NPC the player can interact
with.

`vbnd_OtherworldlyClerk_6`: The visible NPC version of Clerk 119, with the
maximum allowed barter gold, and a physical presence in the Trade House.

### Inventories

Initially, all clerk NPCs have the same inventory: the trade contracts for sale.
As the trade contracts are bought, they are removed from any of the higher
clerk's inventories (ie., buying a trade contract from clerk 1 will remove it
from 2-6; buying from 3 will remove it from 4-6, but not 1 or 2). Additionally,
the first clerk has some bargain potions of restore health, magicka, and
fatigue, a bottle of comberry brandy, and some scuttle, as provisions provided
by corporate as a kind of welcome bonus.

At each rank-up, when the NPCs are swapped, a script is run that transfers any
items related to the trade contracts to the next NPC. Otherwise, inventories are
"wiped" (they start empty) between rank-ups, as a form of "clearing out old
stock" or some shit. Corpo talk baby.

### Dialogs

### Quests

The clerk offers two quest types: trade contracts, and deliveries.

#### Contract 1: Restorative Potions

- [X] Contract object
- [X] Contract journal
    - [X] 0: Quest name
    - [X] 10: Given quest, with instructions
    - [X] 20: Found NPC, finished quest
- [X] Dialog
    - [X] NPC regarding trade contract
- [X] Scripts
- [X] Flow:
    - Purchase from Clerk
    - Bring to an alchemist or apothecary NPC
    - Restocks every 5 +/- 3 days
    - Provides:
        - Ranks 1-2:
            - 3 cheap potion of restore health
            - 3 cheap potion of restore magicka
            - 3 cheap potion of restore fatigue
        - Ranks 3-5:
            - 3 standard potion of restore health
            - 3 standard potion of restore magicka
            - 3 standard potion of restore fatigue
            - 3 potion of Salen's Vivication
        - Ranks 3-5:
            - 3 quality potion of restore health
            - 3 quality potion of restore magicka
            - 3 quality potion of restore fatigue
            - 3 potion of salen's vivication


#### Contract 2: Subterfuge Implements

- [X] Contract object
- [X] Contract journal
    - [X] 0: Quest name
    - [X] 10: Given quest, with instructions
    - [X] 20: Found NPC, finished quest
- [X] Dialog
    - [X] NPC regarding trade contract
- [X] Scripts
- [X] Flow:
    - Purchase from Clerk
    - Bring to a thief NPC
    - Restocks every 5 +/- 3 days
    - Provides:
        - Ranks 1-2:
            - 2 apprentice lock pick
            - 2 apprentice probe
        - Ranks 3-5:
            - 2 journeyman lock pick
            - 2 journeyman probe
            - 2 potion of invisibility
        - Ranks 6:
            - 2 grandmaster lock pick
            - 2 grandmaster probe
            - 2 potion of invisibility
            - 2 potion of expeditious extrication

#### Contract 3: Mending Tools

- [X] Contract object
- [X] Contract journal
    - [X] 0: Quest name
    - [X] 10: Given quest, with instructions
    - [X] 20: Found NPC, finished quest
- [X] Dialog
    - [X] NPC regarding trade contract
- [X] Scripts
- [X] Flow:
    - Purchase from Clerk
    - Bring to a smith NPC
    - Restocks every 5 +/- 3 days
    - Provides:
        - Ranks 1-2:
            - 2 repair prong
        - Ranks 3-5:
            - 2 journeyman repair hammer
        - Ranks 6:
            - 2 master repair hammer

#### Contract 4: Phylacteries

- [X] Contract object
- [X] Contract journal
    - [X] 0: Quest name
    - [X] 10: Given quest, with instructions
    - [X] 20: Found NPC, finished quest
- [X] Dialog
    - [X] NPC regarding trade contract
- [X] Scripts
- [X] Flow:
    - Purchase from Clerk
    - Bring to a enchanter NPC
    - Restocks every 5 +/- 3 days
    - Provides:
        - Ranks 1-2:
            - 2 petty soul gem
        - Ranks 3-5:
            - 2 common soul gem
            - 2 scroll fphyggi's gem feeder
        - Ranks 6:
            - 2 greater soul gem
            - 2 scroll psychic prison

#### Contract 5: Refreshments

- [X] Contract object
- [X] Contract journal
    - [X] 0: Quest name
    - [X] 10: Given quest, with instructions
    - [X] 20: Found NPC, finished quest
- [X] Dialog
    - [X] NPC regarding trade contract
- [X] Scripts
- [X] Flow:
    - Purchase from Clerk
    - Bring to a publican NPC
    - Restocks every 5 +/- 3 days
    - Provides:
        - Ranks 1-2:
            - 2 comberry wine
            - 2 mazte
            - 2 hound meat
            - 2 bread
        - Ranks 3-5:
            - 2 comberry brandy
            - 2 flin
            - 2 scuttle
            - 2 hound meat
            - 2 hack-lo leaf
        - Ranks 6:
            - 2 cyrodiilic brandy
            - 2 cyrodiilic whiskey
            - 2 scuttle
            - 2 hound meat
            - 2 hack-lo leaf
            - 2 large kwama egg

#### Contract 6: Arcanum

- [X] Contract object
- [X] Contract journal
    - [X] 0: Quest name
    - [X] 10: Given quest, with instructions
    - [X] 20: Found NPC, finished quest
- [X] Dialog
    - [X] NPC regarding trade contract
- [X] Scripts
- [X] Flow:
    - Purchase from Clerk
    - Bring to a mage NPC
    - Restocks every 5 +/- 3 days
    - Provides:
        - Ranks 1-2:
            - 2 scroll of almsivi intervention
            - 2 scroll of divine intervention
            - 2 scroll of tinur's hop-toad
        - Ranks 3-5:
            - 2 scroll of almsivi intervention
            - 2 scroll of divine intervention
            - 2 scroll of windform
            - 2 scroll of ondussi's unhinging
            - 2 scroll of taldam's scorcher
            - 2 scroll of drathi's winter guest
            - 2 scroll of ina's chastening
        - Ranks 6:
            - 2 scroll of almsivi intervention
            - 2 scroll of divine intervention
            - 2 scroll of windform
            - 2 scroll of ekash's locksplitter
            - 2 scroll of yamson's immolation sphere
            - 2 scroll of illnea's breath
            - 2 scroll of gaze from the void

#### Delivery 1: Tel Branora

- [X] Delivery object: Package
- [X] Delivery location: Sethan's Tradehouse, Tel Branora
- [X] Delivery target: Llorayna Sethan
- [X] Delivery journal
    - [X] 0: Quest name
    - [X] 10: Filler first option
    - [X] 11: Decline to help, with options to start
    - [X] 20: Receive delivery package and details
    - [X] 21: Lose delivery package
    - [X] 22: Abandon delivery quest
    - [X] 25: Successfully deliver package
    - [X] 30: Notify Clerk 119 of completion
- [ ] Dialog
    - [X] Clerk to begin quest
    - [X] Clerk asking for updates
    - [X] Clerk to finish the quest
    - [ ] Target to delivery package, and exchange for payment
- [ ] Scripts
    - Package: trigger when losing package
- [X] Flow:
    - Receive mission from clerk; given package to deliver
        - If package is lost, have to recover package to continue quest
    - Travel to location, talk to target, exchange package for payment
    - Talk to clerk to finish quest

#### Delivery 2: Vos

- [X] Delivery object: Package
- [X] Delivery location: Varo Tradehouse, Vos
- [X] Delivery target: Burcanius Varo
- [X] Delivery journal
    - [X] 0: Quest name
    - [X] 10: Filler first option
    - [X] 11: Decline to help, with options to start
    - [X] 20: Receive delivery package and details
    - [X] 21: Lose delivery package
    - [X] 22: Abandon delivery quest
    - [X] 25: Successfully deliver package
    - [X] 30: Notify Clerk 119 of completion
- [X] Dialog
    - [X] Clerk to begin quest
    - [X] Clerk asking for updates
    - [X] Clerk to finish the quest
    - [X] Target to delivery package, and exchange for payment
- [ ] Scripts
    - Package: trigger when losing package
- [X] Flow:
    - Receive mission from clerk; given package to deliver
        - If package is lost, have to recover package to continue quest
    - Travel to location, talk to target, exchange package for payment
    - Talk to clerk to finish quest

#### Delivery 3: Khuul

- [X] Delivery object: Package
- [X] Delivery location: Thongar's Tradehouse, Khuul
- [X] Delivery target: Shotherra
- [X] Delivery journal
    - [X] 0: Quest name
    - [X] 10: Filler first option
    - [X] 11: Decline to help, with options to start
    - [X] 20: Receive delivery package and details
    - [X] 21: Lose delivery package
    - [X] 22: Abandon delivery quest
    - [X] 25: Successfully deliver package
    - [X] 30: Notify Clerk 119 of completion
- [X] Dialog
    - [X] Clerk to begin quest
    - [X] Clerk asking for updates
    - [X] Clerk to finish the quest
    - [X] Target to delivery package, and exchange for payment
- [ ] Scripts
    - Package: trigger when losing package
- [X] Flow:
    - Receive mission from clerk; given package to deliver
        - If package is lost, have to recover package to continue quest
    - Travel to location, talk to target, exchange package for payment
    - Talk to clerk to finish quest

#### Delivery 4: Dagon Fel

- [X] Delivery object: Package
- [X] Delivery location: The End of the World, Dagon Fel
- [X] Delivery target: Sold Fine-Hair
- [X] Delivery journal
    - [X] 0: Quest name
    - [X] 10: Filler first option
    - [X] 11: Decline to help, with options to start
    - [X] 20: Receive delivery package and details
    - [X] 21: Lose delivery package
    - [X] 22: Abandon delivery quest
    - [X] 25: Successfully deliver package
    - [X] 30: Notify Clerk 119 of completion
- [X] Dialog
    - [X] Clerk to begin quest
    - [X] Clerk asking for updates
    - [X] Clerk to finish the quest
    - [X] Target to delivery package, and exchange for payment
- [ ] Scripts
    - Package: trigger when losing package
- [X] Flow:
    - Receive mission from clerk; given package to deliver
        - If package is lost, have to recover package to continue quest
    - Travel to location, talk to target, exchange package for payment
    - Talk to clerk to finish quest

---

## Personal Merchant
Starting in on the personalized merchant. I think the inventory of this merchant
should be primarily items that that player requests. This will be handled
generally through dialog, starting at broad categories, and optionally shrinking
to more specifics. For example: [Armor, Weapon, Scroll] -> Choose Weapon ->
[Axe, Sword, Staff]. The request would be made, and then a few days after would
be the result. The permanent inventory represents the "private stock" or
something, which includes any special items the PC has unlocked and not bought
yet. Requested items get added to that inventory for a bit, then removed.

### Requisitions
Options start broad, then narrow down:

#### Top Level Options
- Armor
- Weapons
- Accessories
- Wonderous Items
- [Nevermind]

#### Armor
- Unarmored
- Light
- Medium
- Heavy
- [Go Back]

#### Weapons
- Melee Weapons
- Ranged Weapons
- [Go Back]

#### Melee Weapons
- Axes
- Blunt
- Short Blades
- Long Blades
- [Next Page]

- Spears
- [Previous Page]
- [Go Back]

#### Ranged Weapons
- Bows and Arrows
- Crossbows and Bolts
- Throwing Weapons
- [Go Back]

#### Accessories
- Amulets
- Belts
- Rings
- Robes
- [Go Back]

#### Wonderous Items
- Potions
- Scrolls
- Tools
- Miscellaneous
- [Go Back]

The personal merchant offers a few quests in addition to the inventory aspect.

### Fetch Quests
Find items, and provide them to the merchant to gain reputation, and also add
custom and powerful items to the "private stock."

### Trade Contracts
Similar to the clerk, the personal merchant will offer trade contracts for the
player to fulfill. These are flavored as the merchant finding sources for other
clients, but offering to include a small share to our clerk as well. These
contracts must be brought to a different merchant than the initial one.

### Additional/Custom Items
These are items that may be included when the merchant provides options for a
category.

#### Armor
One piece for each of the tiers of armor, including unarmored; 4 items per piece
total. The player can request armor, and then specify a tier (Light, Medium,
Heavy, or Clothing), and then specify a piece (Helm, Pauldrons, Cuirass, Arms,
Legs, Boots). One important details: clothing can be worn with armor, so the
clothing items must be balanced to account for this.

**Helms**
    - Light:
    - Medium:
    - Heavy:
    - Clothing:

**Pauldrons**
    - Light:
    - Medium:
    - Heavy:
    - Clothing:

**Cuirasses**
    - Light:
    - Medium:
    - Heavy:
    - Clothing:

**Arms**
    - Light:
    - Medium:
    - Heavy:
    - Clothing:

**Legs**
    - Light:
    - Medium:
    - Heavy:
    - Clothing:

**Boots**
    - Light:
    - Medium:
    - Heavy:
    - Clothing:

#### Weapons


#### Accessories (Robes, Rings, Belts, and Amulets)


#### Scrolls and Potions


#### Tools and Trinkets
